## com.saxonica.codegen
Class IntegerRangeTestCompiler

    java.lang.Object
      com.saxonica.codegen.ExpressionCompiler
          com.saxonica.codegen.ToBooleanCompiler
              com.saxonica.codegen.IntegerRangeTestCompiler

    public class IntegerRangeTestCompiler

extends ToBooleanCompiler

Generate Java code for a integer range test (a = (b to c))

Constructor Summary
`IntegerRangeTestCompiler()`

Method Summary
`String` `compileToEffectiveBooleanValue(CompilerService compiler, Expression expr, ReturnAction result)` Generate Java code to evaluate the effective boolean value of the expression

Methods inherited from class com.saxonica.codegen.ToBooleanCompiler
`compilePush, compileToCharSequence, compileToItem, compileToIterator`

Methods inherited from class com.saxonica.codegen.ExpressionCompiler
`compileAsLoop, compileToValueRepresentation, getConfiguration, makeExpressionCompiler, setConfiguration`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IntegerRangeTestCompiler

    public IntegerRangeTestCompiler()

Method Detail

### compileToEffectiveBooleanValue

    public String compileToEffectiveBooleanValue(CompilerService compiler,
                                                 Expression expr,
                                                 ReturnAction result)

  Description copied from class: `ExpressionCompiler`
  Generate Java code to evaluate the effective boolean value of the expression

  Specified by:
    `compileToEffectiveBooleanValue` in class `ToBooleanCompiler`
  Parameters:
    `compiler` - the compiler service
    `expr` - the XPath expression to be compiled
    `result` - indicates how the boolean result is to be returned
  Returns:
    the result depends on the supplied value of the options argument. If options is a JavaDeclaration, the code must declare a Java variable and return the name of this variable. If options is a JavaAssignment, the code must assign the value to an existing Java variable. If options is a Return, the code must generate a return statement that returns the value of the boolean (in which case the result of this method is null).

Copyright (c) 2004-2010 Saxonica Limited. All rights reserved.